Bug 65209 - Possible segmentation fault in crontab program
Summary: Possible segmentation fault in crontab program
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: vixie-cron   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-20 11:35 UTC by dan
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-10 03:25:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix to incorrect usage of fprintf function (866 bytes, patch)
2002-05-20 11:36 UTC, dan
no flags Details | Diff

Description dan 2002-05-20 11:35:12 UTC
vixie-cron has a bug in crontab program that can lead to segmentation fault.
This bug is bad usage of fprintf() function at line 478 in crontab.c. Attached a
patch that fixes the problem and additionally removes some warnings generated by
a compiler.

Comment 1 dan 2002-05-20 11:36:55 UTC
Created attachment 58004 [details]
fix to incorrect usage of fprintf function

Comment 2 Bill Huang 2002-06-10 03:25:03 UTC
Thanks for your patch.it is fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.